Subject: G98 compilation problems on LINUX

From: "Dr. Daniel Glossman-Mitnik" <[email-masked]>
Date: Thu, 13 Dec 2001 15:10:30 -0800

Dear netters:

I am trying to compile the g98 source code (rev A9) on a Pentium 3
800 running  Redhat 7.2. I have installed the Portland Group f77
compiler and I have put the blas-f2c.a and blas-opt.a files in
/usr/local/lib.
The compilation seems to run fine up to a point where it bombs. As I
have no previous experience I don´t know what the messages mean
and thus what action to follow.

I including the last lines of the bldg98.log file.  Any help would be
appreciated.

Thanks in advance. Best regards

                                                   Dr. Daniel
Glossman-Mitnik

....
set noglob
end
unset noglob
cd ..
rm -f -r temputil
fixlib util.a
endif
if ( 1 ) then
make -f bsd/g98.make JUNK1=JUNK exe
gau-cpp -I/root/g98 -I/root/g98s -DGAUSS_PAR -DGAUSS_THPAR  -DDEFMAXSHL=2000
0 -DDEFMAXATM=20000 -DDEFMAXNZ=20000 -DDEFNVDIM=257 -DDEFARCREC=1024 -DMERGE
_LOOPS -DUSE_ESSL -D_I386_ -DLITTLE_END -DUSING_F2C -DDEFMAXIOP=100 -DDEFMAX
CHR=1024 -DDEFLMAX=13 -DDEFN3MIN=10 -DDEFMAXHEV=2000 -DDEFCACHE=64 -DDEFMAXL
ECP=10 -DDEFMAXFUNIT=5 -DDEFMAXFFILE=10000 -DDEFMAXFPS=1300 -DDEFMAXINFO=200
 -DDEFMAXOP=120 -DDEFMAXTIT=100 -DDEFMAXRTE=4000 -DDEFMAXOV=500 -D_ALIGN_COR
E_ -DCA1_DGEMM -DCA2_DGEMM -DCAB_DGEMM -DLV_DSP -DO_BKSPEF -DDEFMXTS=1500 -D
DEFMXBAS=500 -DDEFMXOPT=50 -DDEFMXBOND=12 -DDEFMXSPH=250 -DDEFMXINV=1500
dummy.F dummy.f
pgf77    -O2 -tp p6  -Munroll -Mvect=cachesize:524288 -c dummy.f
NOTE: your evaluation license will expire in 13 days, 23.9 hours.
For a permanent license, please read the order acknowledgement
that you received.  Connect to https://www.pgroup.com/License with
the username and password in the order acknowledgement.

 Name: "Dr. Daniel Glossman-Mitnik"
 User: glossman
 Email: [email-masked]
 Hostid: PGI=000103E0CCC6B0F71B198A
rm -f dummy.f dummy.c
ld -shared -o util.so dummy.o --whole-archive util.a \
  --no-whole-archive /usr/local/lib/blas-opt.a /usr/local/lib/blas-f2c.a
gau-fsplit -e ml0 bsd/main.F
ml0.F already exists, over-written
make -f bsd/g98.make OPTFLAG=' -O2 -tp p6  -Munroll -Mvect=cachesize:524288'
ml0.o
make[1]: Entering directory `/root/g98'
gau-cpp -I/root/g98 -I/root/g98s -DGAUSS_PAR -DGAUSS_THPAR  -DDEFMAXSHL=2000
0 -DDEFMAXATM=20000 -DDEFMAXNZ=20000 -DDEFNVDIM=257 -DDEFARCREC=1024 -DMERGE
_LOOPS -DUSE_ESSL -D_I386_ -DLITTLE_END -DUSING_F2C -DDEFMAXIOP=100 -DDEFMAX
CHR=1024 -DDEFLMAX=13 -DDEFN3MIN=10 -DDEFMAXHEV=2000 -DDEFCACHE=64 -DDEFMAXL
ECP=10 -DDEFMAXFUNIT=5 -DDEFMAXFFILE=10000 -DDEFMAXFPS=1300 -DDEFMAXINFO=200
 -DDEFMAXOP=120 -DDEFMAXTIT=100 -DDEFMAXRTE=4000 -DDEFMAXOV=500 -D_ALIGN_COR
E_ -DCA1_DGEMM -DCA2_DGEMM -DCAB_DGEMM -DLV_DSP -DO_BKSPEF -DDEFMXTS=1500 -D
DEFMXBAS=500 -DDEFMXOPT=50 -DDEFMXBOND=12 -DDEFMXSPH=250 -DDEFMXINV=1500
ml0.F ml0.f
pgf77   -O2 -tp p6  -Munroll -Mvect=cachesize:524288 -c ml0.f
NOTE: your evaluation license will expire in 13 days, 23.9 hours.
For a permanent license, please read the order acknowledgement
that you received.  Connect to https://www.pgroup.com/License with
the username and password in the order acknowledgement.

 Name: "Dr. Daniel Glossman-Mitnik"
 User: glossman
 Email: [email-masked]
 Hostid: PGI=000103E0CCC6B0F71B198A
rm -f ml0.f ml0.c
make[1]: Leaving directory `/root/g98'
pgf77    -O2 -tp p6  -Munroll -Mvect=cachesize:524288 -o g98 ml0.o   util.so
ml0.o: In function `MAIN_':
ml0.o(.text+0x296): undefined reference to `gauabt_'
ml0.o(.text+0x330): undefined reference to `gauabt_'
ml0.o(.text+0x402): undefined reference to `gauabt_'
ml0.o(.text+0x4dc): undefined reference to `gauabt_'
ml0.o(.text+0x619): undefined reference to `gauabt_'
ml0.o(.text+0x63c): undefined reference to `fixinout_'
ml0.o(.text+0xe47): undefined reference to `ggeten_'
ml0.o(.text+0xea8): undefined reference to `getexen_'
ml0.o(.text+0x112c): undefined reference to `gsyst_'
util.so: undefined reference to `writwa_'
util.so: undefined reference to `closwa_'
util.so: undefined reference to `asynwa_'
util.so: undefined reference to `erfcx_'
util.so: undefined reference to `bkimov_'
util.so: undefined reference to `fixstdin_'
util.so: undefined reference to `gaufls_'
util.so: undefined reference to `fixenv_'
util.so: undefined reference to `ifalph_'
util.so: undefined reference to `ntrsiz_'
util.so: undefined reference to `guname_'
util.so: undefined reference to `openwa_'
util.so: undefined reference to `envfil_'
util.so: undefined reference to `ibkmov_'
util.so: undefined reference to `imove_'
util.so: undefined reference to `amove_'
util.so: undefined reference to `gfree_'
util.so: undefined reference to `gauexec_'
util.so: undefined reference to `readwa_'
util.so: undefined reference to `machin_'
util.so: undefined reference to `galloc_'
util.so: undefined reference to `ntrbks_'
util.so: undefined reference to `bkmove_'
util.so: undefined reference to `appfpd_'
util.so: undefined reference to `gfree1_'
util.so: undefined reference to `waitwa_'
util.so: undefined reference to `ntrext1_'
util.so: undefined reference to `intchr_'
util.so: undefined reference to `gferr_'
util.so: undefined reference to `getscm_'
util.so: undefined reference to `gsr48_'
util.so: undefined reference to `galloc1_'
util.so: undefined reference to `drand48_'
util.so: undefined reference to `appfp_'
make: *** [g98] Error 1
endif

**************************************************************************
Dr. Daniel Glossman-Mitnik
Centro de Investigacion en Materiales Avanzados (CIMAV)
LAQUICOM - Laboratorio de Química Computacional
Miguel de Cervantes 120  -  Complejo Industrial Chihuahua
Chihuahua, Chih. 31109   -   Mexico
Phone: (52) 614 4391151      FAX: (52) 614 4391112
E-mail: [email-masked]
            [email-masked]
            [email-masked]
**************************************************************************